import subprocess
import argparse
import os 

from datetime import datetime
from pathlib import Path

parser = argparse.ArgumentParser()

req_args = parser.add_argument_group('required arguments')

req_args.add_argument('-acc', help="location of acc compiler", required=True)
req_args.add_argument('-o', help="dir to put archive", required=True)


args = parser.parse_args()

os.chdir(Path(__file__).parent)



acc_args = (args.acc, "./scripts/MP_Arrows.acs", "./acs/MP_Arrows.o")


PROJECT = "MP_Arrows"

archive_filename = PROJECT + "_" + datetime.utcnow().strftime("%Y%m%dT%H%M%S") + ".pk7"

archive_path = Path(args.o) / archive_filename

_7zargs = ( '7z', 'a', archive_path, '*.*', '-r',
            '-x!*.pk7',
            '-x!*.dbs',
            # '-x!*.py',
            '-x!*.wad.backup?',
            '-x!source',
            '-t7z', '-mx9', '-m0=LZMA:d256m:fb273')
 
try:
    subprocess.run(acc_args, check=True)
    subprocess.run(_7zargs, check=True)

except subprocess.CalledProcessError:
    print ()
    input("Press enter to exit")

